function UnityProgress(gameInstance, progress) {
  if (!gameInstance.Module)
    return;
  var style = UnityLoader.Progress.Styles[gameInstance.Module.splashScreenStyle];
  var progressEmptyUrl = gameInstance.Module.progressEmptyUrl ? gameInstance.Module.resolveBuildUrl(gameInstance.Module.progressEmptyUrl) : style.progressEmptyUrl;
  var progressFullUrl = gameInstance.Module.progressFullUrl ? gameInstance.Module.resolveBuildUrl(gameInstance.Module.progressFullUrl) : style.progressFullUrl;      
  var commonStyle = "position: absolute; left: 50%; top: 50%; -webkit-transform: translate(-50%, -50%); transform: translate(-50%, -50%);";
  //CHANGE: removed logo setup and progressLogoUrl variable
  if (!gameInstance.progress) {        
    gameInstance.progress = document.createElement("div");
    gameInstance.progress.style.cssText = commonStyle + " height: 18px; width: 141px; margin-top: 0px;"; //CHANGE: centered the progress bar (default margin-top is 90px)
    gameInstance.progress.empty = document.createElement("div");
    gameInstance.progress.empty.style.cssText = "background: url('" + progressEmptyUrl + "') no-repeat right / cover; float: right; width: 100%; height: 100%; display: inline-block;";
    gameInstance.progress.appendChild(gameInstance.progress.empty);
    gameInstance.progress.full = document.createElement("div");
    gameInstance.progress.full.style.cssText = "background: url('" + progressFullUrl + "') no-repeat left / cover; float: left; width: 0%; height: 100%; display: inline-block;";
    gameInstance.progress.appendChild(gameInstance.progress.full);
    gameInstance.container.appendChild(gameInstance.progress);
  }
  gameInstance.progress.full.style.width = (100 * progress) + "%";
  gameInstance.progress.empty.style.width = (100 * (1 - progress)) + "%";
  if (progress == 1)
    gameInstance.progress.style.display = "none"; //CHANGE: removed logo hiding (since it doesn't even exist)
}